Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 71 lines (61 sloc) 1.886 kB
8c7201a @steveklabnik Adding Rails
steveklabnik authored
1 source 'http://rubygems.org'
2
8001f7b @carols10cents Upgrade rails, coffee-rails, sass-rails and sass. Fixes issue #545.
carols10cents authored
3 gem 'rails', '3.2.8'
8c7201a @steveklabnik Adding Rails
steveklabnik authored
4
256956e @jgaskins Remove several redundant gem requirements and use group :assets
jgaskins authored
5 # Gems used only for assets and not required
6 # in production environments by default.
7 group :assets do
8001f7b @carols10cents Upgrade rails, coffee-rails, sass-rails and sass. Fixes issue #545.
carols10cents authored
8 gem "sass", "~> 3.1.10"
9 gem 'sass-rails', "~> 3.2.5"
bc23166 @carols10cents Switch from a git version of compass to a release of compass-rails
carols10cents authored
10 gem 'compass-rails', "~> 1.0.3"
8001f7b @carols10cents Upgrade rails, coffee-rails, sass-rails and sass. Fixes issue #545.
carols10cents authored
11 gem 'coffee-rails', "~> 3.2.2"
3375485 @carols10cents Be more conservative with our gem version specifications
carols10cents authored
12 gem 'uglifier', "~> 1.0.0"
b4b8fb9 @rjsamson Add autocomplete for '@' username mentions.
rjsamson authored
13 gem 'jquery-ui-rails', "~> 2.0.0"
256956e @jgaskins Remove several redundant gem requirements and use group :assets
jgaskins authored
14 end
8c7201a @steveklabnik Adding Rails
steveklabnik authored
15
8ef56a7 @carols10cents Upgrade haml to deal with an incompatibility
carols10cents authored
16 gem "haml", "~> 3.1.4"
3375485 @carols10cents Be more conservative with our gem version specifications
carols10cents authored
17 gem "haml-rails", "~> 0.3.4"
18 gem 'jquery-rails', "~> 1.0.12"
8c7201a @steveklabnik Adding Rails
steveklabnik authored
19
3375485 @carols10cents Be more conservative with our gem version specifications
carols10cents authored
20 gem 'airbrake', "~> 3.0.9"
50787b9 @carols10cents Adding bcrypt-ruby since it doesn't come with rails anymore
carols10cents authored
21 gem 'bcrypt-ruby', "~> 3.0.0"
3375485 @carols10cents Be more conservative with our gem version specifications
carols10cents authored
22 gem 'unicorn', "~> 4.0.1"
c7a9fbd @carols10cents Adding omniauth-twitter since strategies are now in separate gems
carols10cents authored
23
55cbb39 @carols10cents Upgrade omniauth and twitter to their latest
carols10cents authored
24 gem 'omniauth', "~> 1.1.0"
c7a9fbd @carols10cents Adding omniauth-twitter since strategies are now in separate gems
carols10cents authored
25 gem "omniauth-twitter", "~> 0.0.12"
26
1cf7c0a @carols10cents Upgrade mongo_mapper to deal with this incompatibility: https://githu…
carols10cents authored
27 gem "mongo_mapper", "~> 0.11.2"
37173bf @carols10cents Upgrading (and deliberately locking) mongo, bson, and bson_ext
carols10cents authored
28 gem "mongo", "= 1.6.2"
29 gem "bson", "= 1.6.2"
30 gem "bson_ext", "= 1.6.2"
3375485 @carols10cents Be more conservative with our gem version specifications
carols10cents authored
31 gem "i18n", "~> 0.6.0"
55cbb39 @carols10cents Upgrade omniauth and twitter to their latest
carols10cents authored
32 gem "twitter", "~> 3.5.0"
3375485 @carols10cents Be more conservative with our gem version specifications
carols10cents authored
33 gem "pony", "~> 1.3"
34 gem "rdiscount", "~> 1.6.8"
b29f63a @carols10cents Upgrading ratom with my bugfix to my bug!! Fixes #559.
carols10cents authored
35 gem "ratom", "~> 0.7.2"
68bfb94 @carols10cents Upgrading ostatus, yay!
carols10cents authored
36 gem "ostatus", "~> 0.0.11"
3375485 @carols10cents Be more conservative with our gem version specifications
carols10cents authored
37 gem "osub", "~> 0.0.6"
38 gem "opub", "~> 0.0.1"
bfbbeac @wilkie Updates redfinger in Gemfile to point to hotsh git fork.
wilkie authored
39 gem "redfinger", :git => "git://github.com/hotsh/redfinger.git"
3375485 @carols10cents Be more conservative with our gem version specifications
carols10cents authored
40 gem "nokogiri", "~> 1.5.0"
41 gem "tzinfo", "~> 0.3.29"
42 gem "rsa", "~> 0.1.4"
43 gem "exceptional", "~> 2.0.32"
44 gem "newrelic_rpm", "~> 3.3.1"
45 gem "draper", "~> 0.11.1"
52458a1 @steveklabnik Moving large chunks over.
steveklabnik authored
46
47 # background job queue
48 gem "delayed_job", :git => "git://github.com/collectiveidea/delayed_job.git", :tag => "v2.1.4"
49 gem "delayed_job_mongo_mapper", :git => "git://github.com/earbits/delayed_job_mongo_mapper.git"
3375485 @carols10cents Be more conservative with our gem version specifications
carols10cents authored
50 gem "whenever", "~> 0.6.8"
52458a1 @steveklabnik Moving large chunks over.
steveklabnik authored
51
52 group :development, :test do
3375485 @carols10cents Be more conservative with our gem version specifications
carols10cents authored
53 gem "database_cleaner", "~> 0.6.7"
54 gem "fabrication", "~> 1.2.0"
7589c99 @carols10cents Update capybara
carols10cents authored
55 gem "capybara", "~> 1.1.2"
3375485 @carols10cents Be more conservative with our gem version specifications
carols10cents authored
56 gem "show_me_the_cookies", "~> 1.1.0"
4737993 @carols10cents Update the way we're building docs to reflect the current important f…
carols10cents authored
57 gem "rocco", :git => "git://github.com/rtomayko/rocco.git"
3375485 @carols10cents Be more conservative with our gem version specifications
carols10cents authored
58 gem "pygmentize", "~> 0.0.3"
74babd8 @yumitsu Fixed tests for ruby 1.9.3
yumitsu authored
59 gem "mocha", "~> 0.11.0"
3375485 @carols10cents Be more conservative with our gem version specifications
carols10cents authored
60 gem "vcr", "~> 1.10.3"
52458a1 @steveklabnik Moving large chunks over.
steveklabnik authored
61 gem "simplecov", "~> 0.4.0", :require => false
3375485 @carols10cents Be more conservative with our gem version specifications
carols10cents authored
62 gem "launchy", "~> 2.0.5"
74babd8 @yumitsu Fixed tests for ruby 1.9.3
yumitsu authored
63 gem "minitest", "~> 2.12.1"
3375485 @carols10cents Be more conservative with our gem version specifications
carols10cents authored
64 gem "quiet_assets", "~> 1.0.0"
8c7201a @steveklabnik Adding Rails
steveklabnik authored
65 end
58f1483 @steveklabnik Only use webmock in test
steveklabnik authored
66
67 group :test do
3375485 @carols10cents Be more conservative with our gem version specifications
carols10cents authored
68 gem "webmock", "~> 1.6.4"
c983157 @wilkie Adds soft version specifier to therubyracer.
wilkie authored
69 gem "therubyracer", "~> 0.9.9"
58f1483 @steveklabnik Only use webmock in test
steveklabnik authored
70 end
Something went wrong with that request. Please try again.